Bug 1202437 - Fig up fails because of pythons requests version mismatch
Summary: Fig up fails because of pythons requests version mismatch
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: fig
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Python Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-16 15:38 UTC by fred
Modified: 2016-07-19 19:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 19:05:55 UTC
Type: Bug


Attachments (Terms of Use)

Description fred 2015-03-16 15:38:13 UTC
Description of problem:
I cant use "fig up", I get a stacktrace instead.

Version-Release number of selected component (if applicable):
1.0.0-5.fc22

How reproducible:
Always


Steps to Reproduce:
1. get a fig project
2. fig up

Actual results:
Traceback (most recent call last):
  File "/usr/bin/fig", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3018, in <module>
    working_set = WorkingSet._build_master()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 614, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 627, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 810, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (requests 2.5.0 (/usr/lib/python2.7/site-packages), Requirement.parse('requests>=2.5.2'), set(['docker-py']))

Expected results:
Start the containers

Additional info:
This seems related
https://github.com/docker/compose/issues/918

I'm going to try with http://koji.fedoraproject.org/koji/buildinfo?buildID=615284 from rawhide

Comment 1 fred 2015-03-16 15:40:48 UTC
I works with the package mentionned earlier

Comment 2 Fedora Update System 2015-03-17 10:22:16 UTC
fig-1.0.1-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/fig-1.0.1-1.fc22

Comment 3 Matej Stuchlik 2015-03-17 10:24:30 UTC
I've included an update to 1.0.1 to the fix, let me know if it works for you. :)

Comment 4 fred 2015-03-17 13:48:06 UTC
it fails differently 

Traceback (most recent call last):
  File "/usr/bin/fig", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3018, in <module>
    working_set = WorkingSet._build_master()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 612, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 918, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 805, in resolve
    raise DistributionNotFound(req)
pkg_resources.DistributionNotFound: dockerpty>=0.3.2

As said earlier , using the right version of python-requests fixed the bug. Shouldn't only be a matter of packaging python requests 2.5.3 for f22 ?

Comment 5 fred 2015-03-17 13:50:02 UTC
As a precision, I got the preceding stacktrace with the package https://kojipkgs.fedoraproject.org//packages/fig/1.0.1/1.fc22/x86_64/fig-1.0.1-1.fc22.x86_64.rpm .

Comment 6 Matej Stuchlik 2015-03-17 14:19:19 UTC
(In reply to fred from comment #4)
> it fails differently 
> 
> Traceback (most recent call last):
>   File "/usr/bin/fig", line 5, in <module>
>     from pkg_resources import load_entry_point
>   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line
> 3018, in <module>
>     working_set = WorkingSet._build_master()
>   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line
> 612, in _build_master
>     ws.require(__requires__)
>   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line
> 918, in require
>     needed = self.resolve(parse_requirements(requirements))
>   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line
> 805, in resolve
>     raise DistributionNotFound(req)
> pkg_resources.DistributionNotFound: dockerpty>=0.3.2
> 
> As said earlier , using the right version of python-requests fixed the bug.
> Shouldn't only be a matter of packaging python requests 2.5.3 for f22 ?

That's unlikely, you see it's just that Fig specifies it's requirements fairly strictly (and as far as I can tell unnecessarily so) and in this error it's telling you you don't have python-dockerpty version 0.3.2 or higher. As far as I can tell, however, it doesn't really need that specific version, so I'll remove the version check entirely.

Comment 7 Fedora Update System 2015-03-17 14:21:12 UTC
fig-1.0.1-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/fig-1.0.1-2.fc22

Comment 8 Matej Stuchlik 2015-03-17 14:34:28 UTC
Ugh, no, the problem is elsewhere, I didn't read the original stack trace properly.

Comment 9 Fedora Update System 2015-03-18 10:35:17 UTC
Package fig-1.0.1-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fig-1.0.1-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-4104/fig-1.0.1-2.fc22
then log in and leave karma (feedback).

Comment 10 fred 2015-03-19 13:54:31 UTC
Hi,
Your update arrived on my fedora install, and fig is still broken now despite python-requests package from f23. How can I circumvent the issue?
thanks

Comment 12 Fedora End Of Life 2016-07-19 19:05:55 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.